// creator  : weidu.exe (version 23100)
// argument : BRUNO.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BRUNO~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 2 even though they appear after this state */
~True()
~ THEN BEGIN 0 // from:
  SAY #1650 /* ~Do you know who might have killed him?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 1 // from:
  SAY #1651 /* ~Thanks, you've been a great help. I don't know if I got what I needed, but thanks nonetheless.~ */
  IF ~~ THEN DO ~ActionOverride("Kestor",Enemy())
ActionOverride("Rieltar",Enemy())
ActionOverride("Tuth",Enemy())
Enemy()
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 2 // from:
  SAY #6070 /* ~Korgan, it's best if you leave the party right now. Goodbye.~ */
  IF ~~ THEN JOURNAL #6567 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #8952 /* ~Try to be a bit more forgiving. He only wants to know what has happened.~ */
  IF ~~ THEN EXIT
END
